﻿using C1.WPF.C1Chart;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication21
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();        

        }


        private void DataSeries_PlotElementLoaded(object sender, EventArgs e)
        {
            var pe = (PlotElement)sender;
            if (pe.DataPoint.PointIndex >= 0)
            {
                object value = "x:"+pe.DataPoint.PointIndex+"\r\n"+"value:" + pe.DataPoint.Value;
                ToolTipService.SetToolTip(pe, value);
                ToolTipService.SetPlacement(pe, System.Windows.Controls.Primitives.PlacementMode.MousePoint);
            }
        }
    }
}
